For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETList apps
      • GETGet an app
      • PATCHUpdate an app
      • POSTCreate an app
      • DELDelete an app
      • GETGet constraints
      • POSTCreate constraint
      • GETGet constraint by ID
      • GETGet constraint versions
      • GETGet constraint version
      • PATCHUpdate constraint
      • DELDelete constraint
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceApps

Delete constraint

DELETE
https://api.x.flatfile.com/v1/apps/:appId/constraints/:constraintId
DELETE
/v1/apps/:appId/constraints/:constraintId
$curl -X DELETE https://api.x.flatfile.com/v1/apps/appId/constraints/constraintId \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>"
200Deleted
1{
2 "success": true
3}
Deletes a specific constraint
Was this page helpful?
Previous

List prompts

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

appIdstringRequired
ID of the app
constraintIdstringRequired
ID of the constraint

Headers

X-Disable-Hooks"true"Required

Response

This endpoint returns an object.
successboolean